<nb-card [ngClass]="{'off': !on}" [nbSpinner]="loading" nbSpinnerStatus="info" [nbContextMenu]="items"
    nbContextMenuTrigger="noop" (contextmenu)="open()">
    <div class="icon-container">
        <div class="icon status-{{ type }}" (click)="onClick()">
            <ng-content></ng-content>
        </div>
    </div>

    <div class="details">
        <div class="title">
            {{ title }}
        </div>
        <div class="status">{{ on ? 'Démarré' : 'Arrêté' }}</div>
        <div class="title" *ngIf="on">
            <a href="{{ urlBack }}" title="{{ urlBack }}" target="_blank">Accéder au site</a> {{ password }}
        </div>
    </div>
    <div [ngClass]="loading ? 'bt-suppr-load' : 'bt-suppr'">
        <span
            nbTooltip="{{!on ? 'Démarrez ce site pour créer un modèle' : 'Cliquez ici pour créer un modèle de ce site' }}">
            <button [disabled]="!on" type="button" class="btn btn-outline-primary btn-icon" (click)="onDuplicate()">
                <nb-icon icon="copy-outline"></nb-icon>
            </button>
        </span>
        <button type="button" class="btn btn-outline-danger btn-icon margin" (click)="confirmDel()">
            <nb-icon icon="close-outline"></nb-icon>
        </button>
    </div>
    <div *ngIf="tag?.length > 0" [ngClass]="loading ? 'name-img-load caption-2' : 'name-img caption-2'">
        <i>Créé à partir du modèle : {{ tag }}</i>
    </div>
</nb-card>